## swig 3.0.2

=== Examples/android/simple/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
TARGET     = example
INTERFACE  = example.i
INTERFACEDIR = jni/
PACKAGEDIR = $(SRCDIR)src/org/swig
PACKAGENAME= org.swig.simple
SWIGOPT    = -package $(PACKAGENAME) -outdir $(PACKAGEDIR)/simple
PROJECTNAME= SwigSimple
TARGETID  = 1
#INSTALLOPTIONS = -s # To install on SD Card

check: build

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' SWIG='$(SWIG)' SWIGOPT='$(SWIGOPT)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' INTERFACEDIR='$(INTERFACEDIR)' \
	PROJECTNAME='$(PROJECTNAME)' TARGETID='$(TARGETID)' android

install:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' INSTALLOPTIONS='$(INSTALLOPTIONS)' PROJECTNAME='$(PROJECTNAME)' \
	PACKAGEDIR='$(PACKAGEDIR)' PACKAGENAME='$(PACKAGENAME)' android_install

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' PROJECTNAME='$(PROJECTNAME)' \
	PACKAGEDIR='$(PACKAGEDIR)' INTERFACEDIR='$(INTERFACEDIR)' android_clean

=== Examples/chicken/class/Makefile ===
TOP         = ../..
SWIG        = $(TOP)/../preinst-swig
INTERFACE   = example.i
SRCS        =
CXXSRCS     = example.cxx
TARGET      = class
INCLUDE     =
SWIGOPT     =
VARIANT     =

# uncomment the following lines to build a static exe (only pick one of the CHICKEN_MAIN lines)
#CHICKEN_MAIN = runme-lowlevel.scm
#CHICKEN_MAIN = runme-tinyclos.scm
#VARIANT      = _static

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CHICKEN_SCRIPT='runme-lowlevel.scm' chicken_run
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CHICKEN_SCRIPT='runme-tinyclos.scm' chicken_run

build: $(TARGET) $(TARGET)_proxy

$(TARGET): $(INTERFACE) $(SRCS)
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SRCS='$(SRCS)' CXXSRCS='$(CXXSRCS)' CHICKEN_MAIN='$(CHICKEN_MAIN)' \
	INCLUDE='$(INCLUDE)' SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' \
	SWIG='$(SWIG)' INTERFACE='$(INTERFACE)' CHICKENOPTS='$(CHICKENOPTS)' chicken$(VARIANT)_cpp

$(TARGET)_proxy: $(INTERFACE) $(SRCS)
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SRCS='$(SRCS)' CXXSRCS='$(CXXSRCS)' CHICKEN_MAIN='$(CHICKEN_MAIN)' \
	INCLUDE='$(INCLUDE)' SWIGOPT='$(SWIGOPT) -proxy' TARGET='$(TARGET)_proxy' \
	SWIG='$(SWIG)' INTERFACE='$(INTERFACE)' CHICKENOPTS='$(CHICKENOPTS)' chicken$(VARIANT)_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_clean
	rm -f example.scm
	rm -f $(TARGET)

=== Examples/chicken/constants/Makefile ===
TOP         = ../..
SWIG        = $(TOP)/../preinst-swig
INTERFACE   = example.i
SRCS        =
CXXSRCS     =
TARGET      = constants
INCLUDE     =
SWIGOPT     =
VARIANT     =

# uncomment the following two lines to build a static exe
#CHICKEN_MAIN = runme.scm
#VARIANT      = _static

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_run

build: $(TARGET)

$(TARGET): $(INTERFACE) $(SRCS)
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SRCS='$(SRCS)' CXXSRCS='$(CXXSRCS)' CHICKEN_MAIN='$(CHICKEN_MAIN)' \
	INCLUDE='$(INCLUDE)' SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' \
	SWIG='$(SWIG)' INTERFACE='$(INTERFACE)' CHICKENOPTS='$(CHICKENOPTS)' chicken$(VARIANT)

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_clean
	rm -f example.scm
	rm -f $(TARGET)

=== Examples/chicken/multimap/Makefile ===
TOP         = ../..
SWIG        = $(TOP)/../preinst-swig
INTERFACE   = example.i
SRCS        = example.c
CXXSRCS     =
TARGET      = multimap
INCLUDE     =
SWIGOPT     =
VARIANT     =

# uncomment the following two lines to build a static exe
#CHICKEN_MAIN = runme.scm
#VARIANT      = _static

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_run

build: $(TARGET)

$(TARGET): $(INTERFACE) $(SRCS)
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SRCS='$(SRCS)' CXXSRCS='$(CXXSRCS)' CHICKEN_MAIN='$(CHICKEN_MAIN)' \
	INCLUDE='$(INCLUDE)' SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' \
	SWIG='$(SWIG)' INTERFACE='$(INTERFACE)' CHICKENOPTS='$(CHICKENOPTS)' chicken$(VARIANT)

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_clean
	rm -f example.scm
	rm -f $(TARGET)

=== Examples/chicken/overload/Makefile ===
TOP         = ../..
SWIG        = $(TOP)/../preinst-swig
INTERFACE   = example.i
SRCS        =
CXXSRCS     = example.cxx
TARGET      = overload
INCLUDE     =
SWIGOPT     = -proxy -unhideprimitive
VARIANT     =

# uncomment the following lines to build a static exe
#CHICKEN_MAIN = runme.scm
#VARIANT      = _static

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_run

build: $(TARGET)

$(TARGET): $(INTERFACE) $(SRCS)
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SRCS='$(SRCS)' CXXSRCS='$(CXXSRCS)' CHICKEN_MAIN='$(CHICKEN_MAIN)' \
	INCLUDE='$(INCLUDE)' SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' \
	SWIG='$(SWIG)' INTERFACE='$(INTERFACE)' CHICKENOPTS='$(CHICKENOPTS)' chicken$(VARIANT)_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_clean
	rm -f example.scm
	rm -f $(TARGET)

=== Examples/chicken/simple/Makefile ===
TOP         = ../..
SWIG        = $(TOP)/../preinst-swig
INTERFACE   = example.i
SRCS        = example.c
CXXSRCS     =
TARGET      = simple
INCLUDE     =
SWIGOPT     =
VARIANT     =

# uncomment the following two lines to build a static exe
#CHICKEN_MAIN = runme.scm
#VARIANT      = _static

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_run

build: $(TARGET)

$(TARGET): $(INTERFACE) $(SRCS)
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SRCS='$(SRCS)' CXXSRCS='$(CXXSRCS)' CHICKEN_MAIN='$(CHICKEN_MAIN)' \
	INCLUDE='$(INCLUDE)' SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' \
	SWIG='$(SWIG)' INTERFACE='$(INTERFACE)' CHICKENOPTS='$(CHICKENOPTS)' chicken$(VARIANT)

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' chicken_clean
	rm -f example.scm example-generic.scm example-clos.scm
	rm -f $(TARGET)

=== Examples/csharp/arrays/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =
CSHARPSRCS = *.cs
CSHARPFLAGS= -nologo -debug+ -unsafe -out:runme.exe

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' csharp_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' SWIG='$(SWIG)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' csharp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CSHARPSRCS='$(CSHARPSRCS)' CSHARPFLAGS='$(CSHARPFLAGS)' csharp_compile

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' csharp_clean

=== Examples/csharp/class/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =
CSHARPSRCS = *.cs
CSHARPFLAGS= -nologo -debug+ -out:runme.exe

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' csharp_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' SWIG='$(SWIG)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' csharp_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CSHARPSRCS='$(CSHARPSRCS)' CSHARPFLAGS='$(CSHARPFLAGS)' csharp_compile

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' csharp_clean

=== Examples/d/class/Makefile ===
ifeq (2,$(D_VERSION))
  WORKING_DIR = d2/
else
  WORKING_DIR = d1/
endif

TOP           = ../../..
SWIG          = $(TOP)/../preinst-swig
EXTRA_CFLAGS  = -I../ ../example.cxx example_wrap.cxx
EXTRA_LDFLAGS = example.o example_wrap.o
TARGET        = example_wrap
SWIGOPT       =
DSRCS         = *.d
DFLAGS        = -ofrunme

check: build
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_run

build:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' EXTRA_CFLAGS='$(EXTRA_CFLAGS)' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS)' SWIG='$(SWIG)' SWIGOPT='$(SWIGOPT) -outcurrentdir ../example.i' TARGET='$(TARGET)' d_cpp; \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' DSRCS='$(DSRCS)' DFLAGS='$(DFLAGS)' d_compile

clean:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_clean

=== Examples/d/constants/Makefile ===
ifeq (2,$(D_VERSION))
  WORKING_DIR = d2/
else
  WORKING_DIR = d1/
endif

TOP           = ../../..
SWIG          = $(TOP)/../preinst-swig
EXTRA_CFLAGS  = -I../ example_wrap.c
EXTRA_LDFLAGS = example_wrap.o
TARGET        = example_wrap
SWIGOPT       =
DSRCS         = *.d
DFLAGS        = -ofrunme

check: build
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_run

build:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' EXTRA_CFLAGS='$(EXTRA_CFLAGS)' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS)' SWIG='$(SWIG)' SWIGOPT='$(SWIGOPT) -outcurrentdir ../example.i' TARGET='$(TARGET)' d; \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' DSRCS='$(DSRCS)' DFLAGS='$(DFLAGS)' d_compile

clean:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_clean

=== Examples/d/funcptr/Makefile ===
ifeq (2,$(D_VERSION))
  WORKING_DIR = d2/
else
  WORKING_DIR = d1/
endif

TOP           = ../../..
SWIG          = $(TOP)/../preinst-swig
EXTRA_CFLAGS  = -I../ ../example.c example_wrap.c
EXTRA_LDFLAGS = example.o example_wrap.o
TARGET        = example_wrap
SWIGOPT       =
DSRCS         = *.d
DFLAGS        = -ofrunme

check: build
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_run

build:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' EXTRA_CFLAGS='$(EXTRA_CFLAGS)' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS)' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS)' SWIG='$(SWIG)' SWIGOPT='$(SWIGOPT) -outcurrentdir ../example.i' TARGET='$(TARGET)' d; \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' DSRCS='$(DSRCS)' DFLAGS='$(DFLAGS)' d_compile

clean:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_clean

=== Examples/d/simple/Makefile ===
ifeq (2,$(D_VERSION))
  WORKING_DIR = d2/
else
  WORKING_DIR = d1/
endif

TOP           = ../../..
SWIG          = $(TOP)/../preinst-swig
EXTRA_CFLAGS  = -I../ ../example.c example_wrap.c
EXTRA_LDFLAGS = example.o example_wrap.o
TARGET        = example_wrap
SWIGOPT       =
DSRCS         = *.d
DFLAGS        = -ofrunme

check: build
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_run

build:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' EXTRA_CFLAGS='$(EXTRA_CFLAGS)' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS)' SWIG='$(SWIG)' SWIGOPT='$(SWIGOPT) -outcurrentdir ../example.i' TARGET='$(TARGET)' d; \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' DSRCS='$(DSRCS)' DFLAGS='$(DFLAGS)' d_compile

clean:
	cd $(WORKING_DIR); \
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' d_clean

=== debian/changelog ===
swig (3.0.2-1ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1448823)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 19 May 2015 15:01:23 -0500

swig (3.0.2-1ubuntu1) utopic; urgency=medium

  * Build using python3.
  * Drop build dependency on libchicken-dev (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jul 2014 20:32:46 +0200

swig (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version: 3.9.3 -> 3.9.5 (lintian).
    Checked via upgrading-checklist.txt.gz from debian-policy package.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 03 Jul 2014 00:45:28 +0200

swig (3.0.0-1) unstable; urgency=low

  * Retarget to unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 02 Jul 2014 06:57:08 +0200

swig (3.0.0-0) experimental; urgency=low

  * New upstream release 3.0.0 (closes: #739910).
  * debian/control: Change source name from swig2.0 back to swig.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 16:48:37 +0200

swig2.0 (2.0.12-1) unstable; urgency=medium

  * New upstream release 2.0.12.
  * Build with Guile 2.0 (closes: #746016).
  * For some reason, GUILE_CFLAGS is set correctly again (closes: #701865).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 01:24:34 +0200

swig2.0 (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with the default Ruby instead of hardcoding ruby1.9.1.
     (Closes: #745927)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 26 Apr 2014 17:23:59 +0200

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).
  * Use Ruby 1.9.1 instead of 1.8 which is about to be removed from sid.
    Thanks to Cédric Boutillier for the patch (closes: #722282).
  * Install swigp4.ml manually as the upstream Makefile fails to do so
    when using a separate build directory (closes: #725945).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 25 Oct 2013 23:36:37 +0200

swig2.0 (2.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 09 Sep 2013 22:06:54 +0200

swig2.0 (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags while building (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 28 Feb 2013 00:37:38 +0100

swig2.0 (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 31 Oct 2012 12:05:24 +0100

swig2.0 (2.0.7-3) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5 in debian/rules
    (closes: #675908).
  * Use default-jdk instead of gcj-jdk (closes: #675911). 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 11 Jun 2012 22:55:25 +0200

swig2.0 (2.0.7-2) unstable; urgency=high

  * Switch to out-of-source build. 
  * Applied patch by Klaus Kämpf (applied upstream) to fix seg fault when
    attempting to warn about an illegal destructor (closes: #675196).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 30 May 2012 22:20:51 +0200

swig2.0 (2.0.7-1) unstable; urgency=high

  * New upstream release 2.0.7 (closes: #674263).
  * Build-Depend on tcl-dev and tk-dev instead of tcl8.4-dev and tk8.4-dev
    (closes: #674540). 
  * debian/rules: Add binary-indep and binary-arch targets (lintian).
  * debian/control: Bump Standards-Version to 3.9.3 (no changes).
  * debian/patches/pyint_fromsize_t.diff: New patch to fix a regression of
    upstream r13106 when building for Python 3 (caught by FTBFS for hugin).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 28 May 2012 17:58:26 +0200

swig2.0 (2.0.6-1) unstable; urgency=low

  * Merge upstream changes for 2.0.6.
    + Includes patches to slicing bugs (closes: #673544).
  * debian/control: Narrow the dependency of swig on swig2.0 to require
    the newest version as suggested by Andreas Metzler.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 22 May 2012 00:23:15 +0200

swig2.0 (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5.
    + Removed patch python_map.patch (applied upstream).
    + Removed patch fix_overflow_errors_64bitint (fixed upstream).
    + Removed patches pulled from upstream.
    + Adds support for Lua 5.2 (closes: #670203).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Apr 2012 22:18:39 +0200

swig2.0 (2.0.4-5) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' (closes: #657091).
    Patch provided by Lior Kaplan.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 Jan 2012 18:58:13 +0100

swig2.0 (2.0.4-4) unstable; urgency=low

  * Acknowledge NMU, thanks again Luca (and Jonathan for the patch).
  * Merge revision 12814 from upstream (closes: #642202).
  * Merge revision 12780 from upstream (closes: #468414). 

 -- Torsten Landschoff <torsten@debian.org>  Tue, 20 Sep 2011 22:45:05 +0200

swig2.0 (2.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Jonathan Nieder ]
  * Put swig2.0(1) manpage in the swig2.0 package, instead of whatever
    architecture-dependent package happened to be processed first.
  * swig2.0 Breaks and Replaces swig (<< 2.0.4-3.1) (Closes: #639521).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:32:41 +0200

swig2.0 (2.0.4-3) unstable; urgency=low

  * Acknowledge changes by Luca Falavigna - thanks.
  * Applied the patch by Chris Butler to fix wrapper generation on i386 for
    perl compiled with -Duse64bitint (closes: #579450).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 19 Aug 2011 23:37:01 +0200

swig2.0 (2.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * debian/patches/python_map.patch:
    - Let std::map honour all four template arguments to fix FTBFS in
      related packages (Closes: #633736).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 17:27:18 +0200

swig2.0 (2.0.4-2) unstable; urgency=low



=== debian/control ===
Source: swig
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.5
Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig3.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig3.0
Homepage: http://www.swig.org/
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
               guile-2.0-dev,
               libperl-dev,
               libpcre3-dev,
               php5-cgi,
               php5-dev,
               python3-dev,
               ruby,
               ruby-dev,
               tcl-dev,
               tk-dev

Package: swig3.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: swig3.0-examples, swig3.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig3.0-examples
Architecture: all
Depends: swig3.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig3.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) 2.0 in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support building from Subversion repository
export DH_ALWAYS_EXCLUDE=.svn

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# XXX: patch to pike detection submitted upstream, need to adapt
# configure args
MAKEOPTS =
CONFIGURE_ARGS := \
	--prefix=/usr --mandir=/usr/share/man	\
	--with-tclconfig=/usr/lib			\
	--with-python=/usr/bin/python3			\
	--with-ruby=/usr/bin/ruby			\
	--with-pike=/usr/bin/pike7.6			\
	--with-pikeincl=/usr/include/pike/7.6.24	\
	--with-swiglibdir=/usr/share/swig3.0		\
	--without-mzscheme				\
    --program-suffix=3.0

DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

with_java := yes
no_java_archs := hppa hurd-i386 mips mipsel netbsd-i386
ifneq ($(DEB_TARGET_ARCH),i386)
  ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_java_archs)))
    with_java := disabled for architecture $(DEB_TARGET_ARCH)
    NO_PACKAGES +=
  endif
endif

with_chicken := yes
no_chicken_archs := m68k mips mipsel
ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_chicken_archs)))
  with_chicken := disabled for architecture $(DEB_TARGET_ARCH)
endif

NO_PACKAGES_ARGS = $(foreach p,$(NO_PACKAGES),-N$(p))

ifeq ($(with_java),yes)
  CONFIGURE_ARGS += \
	--with-java=/usr/bin/java \
	--with-javac=/usr/bin/javac
else
  CONFIGURE_ARGS += --without-java
  MAKEOPTS += skip-java=true
endif

ifeq ($(with_chicken),yes)
  CONFIGURE_ARGS += \
	--with-chicken=/usr/bin/chicken \
	--with-chickencfg=/usr/bin/chicken-config
else
  CONFIGURE_ARGS += --without-chicken
  MAKEOPTS += skip-chicken=true
endif

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autoreconf ./autogen.sh
	mkdir -p builddir
	PHP4INC="`php-config --includes`" \
	cd builddir && ../configure $(CONFIGURE_ARGS)
	touch configure-stamp

build: build-indep build-arch

build-indep:	build-stamp
build-arch:	build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd builddir && $(MAKE) $(MAKEOPTS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install-stamp
	rm -rf builddir
	dh_autoreconf_clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig3.0 install

	touch install-stamp

# Build architecture-independent files here.
# We don't need a dependency on build or install since these are the plain
# documentation files as included in the distribution.
binary-indep:	
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	cd debian/swig3.0-examples/usr/share/doc/swig3.0-examples && mv examples/* . && rmdir examples
	cp debian/swig3.0-examples.override debian/swig3.0-examples/usr/share/lintian/overrides/swig3.0-examples
	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
		`find debian/swig3.0-examples/usr/share/doc/swig3.0-examples -name Makefile`
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a $(NO_PACKAGES_ARGS) README
	dh_installexamples -a $(NO_PACKAGES_ARGS)
	dh_installmenu -a $(NO_PACKAGES_ARGS)
#	dh_installemacsen -a $(NO_PACKAGES_ARGS)
#	dh_installinit -a $(NO_PACKAGES_ARGS)
	dh_installcron -a $(NO_PACKAGES_ARGS)
	dh_installman -p swig3.0 debian/swig3.0.1
	dh_install -a --sourcedir=$(CURDIR)
#	dh_undocumented
	dh_installchangelogs -a -Nswig3.0 $(NO_PACKAGES_ARGS) CHANGES
	dh_installchangelogs -pswig3.0 $(NO_PACKAGES_ARGS)
	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
	dh_link -a $(NO_PACKAGES_ARGS)
	dh_strip -a $(NO_PACKAGES_ARGS)
	dh_fixperms -a $(NO_PACKAGES_ARGS)
	dh_makeshlibs -a $(NO_PACKAGES_ARGS)
	dh_installdeb -a $(NO_PACKAGES_ARGS)
	dh_shlibdeps -a $(NO_PACKAGES_ARGS)
	dh_gencontrol -a $(NO_PACKAGES_ARGS)
	dh_md5sums -a $(NO_PACKAGES_ARGS)
	dh_builddeb -a $(NO_PACKAGES_ARGS)

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## swig 3.0.7

=== debian/changelog ===
swig (3.0.7-0ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using python3.
    - Drop build dependency on libchicken-dev (universe).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 20:40:16 +0200

swig (3.0.7-0) experimental; urgency=low

  * Merge new upstream releases up to 3.0.7.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 14 Aug 2015 06:39:31 +0200

swig (3.0.2-2) unstable; urgency=low

  * Introduced the first autopkgtest for SWIG, checking the bug #768280.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Feb 2015 20:47:25 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                ruby-dev,
                tcl-dev,
                tk-dev
+XS-Testsuite: autopkgtest
 
 Package: swig3.0
 Architecture: any

=== debian/tests/control ===
Tests: flatnested-crash
Depends: swig3.0

## swig 3.0.8

=== Doc/Manual/Makefile ===
# Makefile for generating the SWIG documentation
#
# Note that the htmldoc package needs to be installed, but requires patching (using the
# margin-left.patch file from this directory) in order to correctly generate the pdf docs.
# The .html files are first processed and updated with chapter numbering and anchor names
# are added to the HTML headings using the python scripts. The htmldoc program is then
# used to generate the PDF document and single page HTML version of the documentation.
# HTML TIDY (package also known as tidy) is also required and is used as an aid to HTML
# validation.
#
# Additional html validation can be done using the validate target.
# Additional link checking can be done using the linkchecker1 and linkchecker2 target.
#

# Note the # and " are escaped
HTMLDOC_OPTIONS = "--book --toclevels 4 --no-numbered --toctitle \"Table of Contents\" --title --titleimage swig16.png --linkcolor \#0000ff --linkstyle underline --size Universal --left 0.50in --right 0.50in --top 0.50in --bottom 0.50in --header .t. --footer h.1 --nup 1 --tocheader .t. --tocfooter ..i --portrait --color --no-pscommands --no-xrxcomments --compression=1 --jpeg=0 --fontsize 10.0 --fontspacing 1.2 --headingfont Helvetica --bodyfont Times --headfootsize 10.0 --headfootfont Helvetica --charset iso-8859-1 --links --no-embedfonts --pagemode outline --pagelayout single --firstpage c1 --pageeffect none --pageduration 10 --effectduration 1.0 --no-encryption --permissions all  --owner-password \"\"  --user-password \"\" --browserwidth 680"

.PHONY: maketoc check generate all maintainer-clean validate test

all: maketoc check generate

maketoc:
	python maketoc.py

# Use this to regenerate CCache.html should this ever be needed
CCache.html: ../../CCache/ccache.yo
	yodl2html -o CCache.html ../../CCache/ccache.yo

# Tabs in the html files will stop the build as wkhtmltopdf does not expand them correctly - replace them with the appropriate number of tabs
# Use htmltidy to warn about some HTML errors. Note that it is not used to clean/tidy the HTML,
# it is just used as a primitive HTML checker.
# CCache.html is generated by yodl2html and has a few insignificant problems, so we don't put it through tidy
check:
	all="index.html Sections.html `sed '/^#/d' chapters | grep -v CCache.html`" && for a in $$all; do echo "Check for tabs $$a" && if grep -P '\t' $$a; then echo "Please delete the tabs from the lines above" && exit 1; fi; done && for a in $$all; do echo "HTML tidy check $$a" && tidy -errors --gnu-emacs yes -quiet $$a; done;

# Note wkhtmltopdf limitations for generating pdf docs:
#  1) <H1><a name="X"></a>Text</H1> style links don't work and need changing to
#     <H1><a name="X">Text</a></H1>
#  2) Tabs in <pre> elements should be expanded to 8 spaces by default, but
#     are expanded to just one space and css tab-size is not working.
#  3) <pre> <tt> <code> elements do not always select a fixed-width font - try installing the
#     Courier font to fix - these have been added to style.css.
generate: SWIGDocumentation.html
	wkhtmltopdf --margin-top 20mm --margin-bottom 20mm --margin-left 10mm --margin-right 10mm --header-font-size 6 --footer-font-size 6 --header-spacing 6 --footer-spacing 6 --header-center '[doctitle]' --footer-left '[subsection]' --footer-right '[page]' SWIGDocumentation.html SWIGDocumentation.pdf

SWIGDocumentation.html: swightml.book
	htmldoc --batch swightml.book || true
	python fixstyle.py SWIGDocumentation.html

swightml.book: chapters Sections.html
	echo "#HTMLDOC 1.8.24" > swightml.book
	echo -t html -f SWIGDocumentation.html $(HTMLDOC_OPTIONS) >> swightml.book
	echo "Sections.html" >> swightml.book
	cat chapters >> swightml.book

maintainer-clean: clean-baks
	rm -f swightml.book
	rm -f SWIGDocumentation.html
	rm -f SWIGDocumentation.pdf
	rm -rf linkchecker-tmp

clean-baks:
	rm -f *.bak

test:
	grep "href=\".*\.html\"" index.html
	grep "href=\".*\.html\"" Sections.html
	all=`sed '/^#/d' chapters`; for a in $$all; do grep -l "href=\".*\.html\"" $$a; done;

# Validating using the WDG offline validator - http://www.htmlhelp.com/tools/validator/offline/
validate:
	all=`sed '/^#/d' chapters`; for a in $$all; do validate --emacs $$a; done;

# Link checking using linkchecker of the index.html only file (including anchors)
linkchecker1:
	@echo -----------------------------------------------------------------------
	@echo Note linkchecker versions prior to 6.1 do not work properly wrt anchors
	@echo -----------------------------------------------------------------------
	linkchecker --config=./linkchecker.config --anchors index.html

# Check for links which don't work including those generated from the individual .html files into SWIGDocumentation.html
linkchecker2:
	rm -rf linkchecker-tmp
	mkdir linkchecker-tmp
	cp SWIGDocumentation.html linkchecker-tmp
	cp *.png linkchecker-tmp
	(cd linkchecker-tmp && linkchecker --config=../linkchecker.config -F text --no-warnings SWIGDocumentation.html)

=== Examples/php/value/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    = -noproxy

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='myphp' INTERFACE='$(INTERFACE)' \
	php_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_clean

=== Examples/python/callback/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' $(SWIGLIB) CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' $(SWIGLIB) CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='mypython' INTERFACE='$(INTERFACE)' python_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' python_clean

=== Examples/python/import_packages/Makefile ===
TOP        = ../..
SWIGOPT    =
LIBS       =

import_packages_subdirs = \
	same_modnames1 \
	same_modnames2 \
	from_init1 \
	from_init2 \
	from_init3 \
	relativeimport1 \
	relativeimport2 \
	relativeimport3

check: build
	if test "x$(SRCDIR)" != x; then \
		for file in `cd $(SRCDIR) && find . -type f -name __init__.py`; do \
			cp "${SRCDIR}$$file" "$$file" || exit 1; \
		done; \
	fi; \
	for s in $(import_packages_subdirs); do \
		(cd $$s && $(MAKE) check); \
	done

build:
	for s in $(import_packages_subdirs); do \
		(cd $$s && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build); \
	done

static:
	for s in $(import_packages_subdirs); do \
		(cd $$s && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static); \
	done

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	if test "x$(SRCDIR)" != x; then \
		for file in `cd $(SRCDIR) && find . -type f -name __init__.py`; do \
			rm -f "$$file" || exit 1; \
		done; \
	fi; \
	for s in $(import_packages_subdirs); do \
		(cd $$s && $(MAKE) clean); \
	done

=== Examples/python/import_packages/relativeimport2/py2/Makefile ===
TOP        = ../../../..
SWIGOPT    =
LIBS       =

build:
	cd pkg2 && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build

static:
	cd pkg2 && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	cd pkg2 && $(MAKE) clean

=== Examples/python/import_packages/from_init1/py2/pkg2/Makefile ===
TOP        = ../../../../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    =
LIBS       =

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' python_cpp
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' python_cpp_static
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' python_cpp_static

clean::
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='foo' python_clean
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='bar' python_clean

=== debian/changelog ===
swig (3.0.8-0ubuntu3) xenial; urgency=medium

  * d/rules: remove build-dep on php5* while SWIG does not support
    PHP7.0 (LP: #1546823).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 11:53:32 -0700

swig (3.0.8-0ubuntu2) xenial; urgency=medium

  * debian/rules: Disable PHP SWIG bindings for PHP7.0 transition
    (LP: #1546823).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 12 Jan 2016 13:20:42 -0800

swig (3.0.8-0ubuntu1) xenial; urgency=medium

  * New upstream version (Python 3.5 related updates).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jan 2016 17:07:16 +0100

swig (3.0.7-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).
  * Dropped changes, included in Debian:
    - Fix swig package to provide the actual unversioned commands.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Oct 2015 21:55:05 -0700

swig (3.0.7-2) unstable; urgency=medium

  * Reintroduce symlinks swig and ccache-swig for the default version of
    SWIG (closes: #803369).
  * debian/control: Change XS-Testsuite to Testsuite, hoping that this
    will make the package appear on ci.debian.net.
  * New patch debian/patches/ccache-rename.diff: Allows calling ccache-swig
    as ccache-swig or ccache-swig3.0 (closes: #786618).
    + Added autopkgtest tests to check if ccache-swig can be called via
      the symlink as well as via the versioned binary name.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Oct 2015 00:50:22 +0100

swig (3.0.7-1ubuntu1) xenial; urgency=medium

  * Fix swig package to provide the actual unversioned commands, instead of
    being an empty (and therefore broken) dummy package.  Closes: #803369.
  * Drop libchicken-dev from the build-depends (in universe).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 15:34:02 -0700

swig (3.0.7-1) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign (closes: #738513).
  * Build swig, swig-doc and swig-examples dependency packages here
    (moved from swig2.0 source package). 
  * Apply patch for Python 3.5 support by Matthias Klose, closes: #802906.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 28 Oct 2015 22:15:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: swig
 Section: interpreters
 Priority: optional
-Maintainer: Torsten Landschoff <torsten@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.5
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig3.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig3.0
 Homepage: http://www.swig.org/
+Testsuite: autopkgtest
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
                debhelper (>= 7.0),
@@ -14,18 +16,33 @@
                guile-2.0-dev,
                libperl-dev,
                libpcre3-dev,
-               php5-cgi,
-               php5-dev,
-               python3-dev,
+               python-dev,
                ruby,
                ruby-dev,
                tcl-dev,
                tk-dev
-XS-Testsuite: autopkgtest
+
+Package: swig
+Architecture: any
+Depends: swig3.0 (>= ${source:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Suggests: swig-doc, swig-examples
+Conflicts: swig2.0
+Replaces: swig2.0
+Description: Generate scripting interfaces to C/C++ code
+ SWIG is a compiler that makes it easy to integrate C and C++ code
+ with other languages including Perl, PHP, Tcl, Ruby, Python, Java,
+ Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
+ .
+ Swig takes a set of ANSI C/C++ declarations and generates an
+ interface for them to your favorite scripting language.
+ .
+ This is a dependency package providing the stable version of SWIG.
 
 Package: swig3.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Suggests: swig3.0-examples, swig3.0-doc
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
@@ -35,12 +52,31 @@
  Swig takes a set of ANSI C/C++ declarations and generates an 
  interface for them to your favorite scripting language.
 
+Package: swig-examples
+Architecture: all
+Depends: swig3.0-examples (>= 3.0.0-1), ${misc:Depends}
+Conflicts: swig2.0-examples
+Replaces: swig2.0-examples
+Description: Examples for applications of SWIG
+ This is a dependency package providing the examples of the default
+ version of SWIG in Debian.
+
 Package: swig3.0-examples
 Architecture: all
 Depends: swig3.0, ${misc:Depends}
 Description: Examples for applications of SWIG
  Contains examples for applications of SWIG, a wrapper interface
  generator to integrate C code into scripting languages.
+
+Package: swig-doc
+Architecture: all
+Depends: swig3.0-doc (>= 3.0.0-1), ${misc:Depends}
+Section: doc
+Conflicts: swig2.0-doc
+Replaces: swig2.0-doc
+Description: HTML documentation for SWIG
+ This is a dependency package providing the documentation of the default
+ version of SWIG in Debian.
 
 Package: swig3.0-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
 	--with-tclconfig=/usr/lib			\
-	--with-python=/usr/bin/python3			\
+	--with-python=/usr/bin/python			\
 	--with-ruby=/usr/bin/ruby			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
@@ -38,7 +38,7 @@
   endif
 endif
 
-with_chicken := yes
+with_chicken := no
 no_chicken_archs := m68k mips mipsel
 ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_chicken_archs)))
   with_chicken := disabled for architecture $(DEB_TARGET_ARCH)
@@ -63,6 +63,9 @@
   CONFIGURE_ARGS += --without-chicken
   MAKEOPTS += skip-chicken=true
 endif
+
+CONFIGURE_ARGS += --without-php
+MAKEOPTS += skip-php=true
 
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir

## swig 3.0.10

=== Doc/Manual/Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 #  3) <pre> <tt> <code> elements do not always select a fixed-width font - try installing the
 #     Courier font to fix - these have been added to style.css.
 generate: SWIGDocumentation.html
+	wkhtmltopdf --version | grep "with patched qt" || (echo "wkhtmltopdf is not the patched qt version and so cannot be used - download it from http://wkhtmltopdf.org/downloads.html" && false)
 	wkhtmltopdf --margin-top 20mm --margin-bottom 20mm --margin-left 10mm --margin-right 10mm --header-font-size 6 --footer-font-size 6 --header-spacing 6 --footer-spacing 6 --header-center '[doctitle]' --footer-left '[subsection]' --footer-right '[page]' SWIGDocumentation.html SWIGDocumentation.pdf
 
 SWIGDocumentation.html: swightml.book

=== Examples/mzscheme/simple/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' mzscheme_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' mzscheme
clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' mzscheme_clean

=== Examples/php/class/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='myphp' INTERFACE='$(INTERFACE)' \
	php_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_clean

=== Examples/php/enum/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    = -noproxy

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='myphp' INTERFACE='$(INTERFACE)' \
	php_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_clean

=== Examples/php/pointer/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='myphp' INTERFACE='$(INTERFACE)' \
	php_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_clean

=== Examples/php/pragmas/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='myphp' INTERFACE='$(INTERFACE)' \
	php_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' php_clean

=== debian/changelog ===
swig (3.0.10-1.1) unstable; urgency=medium

  * Remove swig PHP support (again) as swig doesn't support PHP 7.0 yet
    (Closes: #821715)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 21:08:29 +0100

swig (3.0.10-1) unstable; urgency=medium

  * New upstream release 3.0.10.
  * Raised debhelper compat level to 9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:40:09 +0200

swig (3.0.9-1) unstable; urgency=medium

  * Merge upstream release 3.0.9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:23:12 +0200

swig (3.0.8-0) experimental; urgency=medium

  * New upstream release (closes: #811418).
  * Remove patch for #802906, applied upstream.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 09 Mar 2016 23:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: swig
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
+Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.5
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig3.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig3.0
@@ -14,6 +13,7 @@
                dh-autoreconf,
                default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-2.0-dev,
+               libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
                libpcre3-dev,
                python-dev,
@@ -31,7 +31,7 @@
 Replaces: swig2.0
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
- with other languages including Perl, PHP, Tcl, Ruby, Python, Java,
+ with other languages including Perl, Tcl, Ruby, Python, Java,
  Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
  .
  Swig takes a set of ANSI C/C++ declarations and generates an
@@ -46,7 +46,7 @@
 Suggests: swig3.0-examples, swig3.0-doc
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
- with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
+ with other languages including Perl, Tcl, Ruby, Python, Java, 
  Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
  .
  Swig takes a set of ANSI C/C++ declarations and generates an

=== debian/watch ===
version=3
http://sf.net/swig/swig-(.+)\.tar\.gz
